Subject: Re: [PATCH] ipvs: sctp: fix checksumming on snat and dnat handlers

From: Daniel Borkmann <[email-masked]>
Date: Wed, 06 Feb 2013 12:20:57 +0100

On 02/06/2013 10:18 AM, David Laight wrote:
> If the NAT code has only modified a few bytes inside one of the SCTP
> chunks, then the crc can be modified by knowing the changed bits and
> the number of bytes to the end of the chunk (without looking at
> any other data bytes).
> That would (probably) be faster (may not really matter for INIT-ACK.

If applicable, this could be a follow-up optimization after the bug fix.